
#![warn(missing_docs)]
#![warn(clippy::missing_docs_in_private_items)]

//! Crate burritos ((BurritOS Using Rust Really Improves The Operating System)
//! 
//! Burritos is an educational operating system written in Rust
//! running on RISC-V emulator.

/// Contain hardware simulated part of the machine
mod simulator;
mod kernel;
/// module containing useful tools which can be use in most part of the OS to ease the development of the OS
pub mod utility;

use kernel::system::System;
use simulator::machine::Machine;

fn main() {
    let mut machine = Machine::init_machine();
    let system = System::default();
    machine.run()
}
